SDL_GetSurfaceBlendMode(3)

NAME
SDL_GetSurfaceBlendMode - Get the blend mode used for blit operations.

SYNOPSIS
#include <SDL3/SDL_surface.h>

bool SDL_GetSurfaceBlendMode(SDL_Surface *surface, SDL_BlendMode *blendMode);

FUNCTION PARAMETERS

surface
    the SDL_Surface structure to query.

blendMode
    a pointer filled in with the current SDL_BlendMode.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetSurfaceBlendMode(3)